> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List official templates

> Returns official workbook-based templates exposed through the loomloom Public API.



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json get /loom/v1/officialTemplates
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/officialTemplates:
    get:
      tags:
        - Official Templates
      summary: List official templates
      description: >-
        Returns official workbook-based templates exposed through the loomloom
        Public API.
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.officialTemplatesResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth1: []
components:
  schemas:
    server.officialTemplatesResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/server.officialTemplateResponse'
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
    server.officialTemplateResponse:
      type: object
      properties:
        description:
          type: string
        inputSummary:
          type: string
        name:
          type: string
        outputType:
          type: string
        scenario:
          type: string
        templateId:
          type: string
        version:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
    BearerAuth1:
      description: 'Use `Authorization: Bearer <api-token>`.'
      type: apiKey
      name: Authorization
      in: header

````